2018-10-23 06:57 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002584NetSurf[All Projects] Generalpublic2018-08-29 14:57
Reporterben 
Assigned ToChris Young 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version 
Target Version3.8Fixed in Version3.8 
Summary0002584: CA bundle still includes untrustworthy startcom and wosign certificates
DescriptionOther browsers stopped trusting them some time ago.

PS You will probably have to update again in some months as the various Symantec-owned issuers’ certificates will stop being trusted, as they have also been up to no good.
TagsNo tags attached.
Fixed in CI build #4278
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0001701

Chris Young (developer)

Updated.
Vincent Sanders

~0001816

Vincent Sanders (administrator)

Thank you for your report, this has been resolved in the 3.8 release
+Notes

-Issue History
Date Modified Username Field Change
2017-12-31 16:20 ben New Issue
2018-01-07 15:19 Chris Young Assigned To => Chris Young
2018-01-07 15:19 Chris Young Status new => resolved
2018-01-07 15:19 Chris Young Resolution open => fixed
2018-01-07 15:19 Chris Young Fixed in Version => 3.8
2018-01-07 15:19 Chris Young Fixed in CI build # => 4278
2018-01-07 15:19 Chris Young Note Added: 0001701
2018-08-28 11:44 Vincent Sanders Target Version => 3.8
2018-08-29 14:57 Vincent Sanders Status resolved => closed
2018-08-29 14:57 Vincent Sanders Note Added: 0001816
+Issue History